Переполнение буфера в SAP DB Web Server

Дата публикации:
07.07.2007
Всего просмотров:
1633
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SAP DB 7.x
Уязвимые версии: SAP DB 7.x

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в waHTTP.exe. Удаленный пользователь может с помощью специально сформированного HTTP запроса, отправленного на порт 9999/TCP, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.sapdb.org

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Critical Risk Vulnerability in SAP DB Web Server (Stack Overflow)

или введите имя

CAPTCHA